# Uses of Interface
java.nio.file.WatchEvent.Kind

Packages that use WatchEvent.Kind
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of WatchEvent.Kind in java.nio.file

Fields in java.nio.file declared as WatchEvent.Kind
Modifier and Type
Field
Description
`static final WatchEvent.Kind<Path>`
StandardWatchEventKinds.`ENTRY_CREATE`
Directory entry created.
`static final WatchEvent.Kind<Path>`
StandardWatchEventKinds.`ENTRY_DELETE`
Directory entry deleted.
`static final WatchEvent.Kind<Path>`
StandardWatchEventKinds.`ENTRY_MODIFY`
Directory entry modified.
`static final WatchEvent.Kind<Object>`
StandardWatchEventKinds.`OVERFLOW`
A special event to indicate that events may have been lost or discarded.
Methods in java.nio.file that return WatchEvent.Kind
Modifier and Type
Method
Description
`WatchEvent.Kind<T>`
WatchEvent.`kind()`
Returns the event kind.
Methods in java.nio.file with parameters of type WatchEvent.Kind
Modifier and Type
Method
Description
`default WatchKey`
Path.`register(WatchService watcher, WatchEvent.Kind<?>... events)`
Registers the file located by this path with a watch service.
`WatchKey`
Path.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
Registers the file located by this path with a watch service.
`WatchKey`
Watchable.`register(WatchService watcher, WatchEvent.Kind<?>... events)`
Registers an object with a watch service.
`WatchKey`
Watchable.`register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
Registers an object with a watch service.